cannot run sql view in 2.14

Bug #1269350 reported by Adebusoye Anifalaje on 2014-01-15
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
DHIS
High
Lars Helge Øverland

Bug Description

sql view is able to execute queries but does not show the sql view after the table is created.

I have managed to replicate this on the demo server.

1) Create query - fine

2) execute query - fine

3) show sql view - nothing happens (no error in the log)

No error or exception.

Version:
2.14
Build revision:
13700

Changed in dhis2:
status: New → Confirmed
importance: Undecided → High
assignee: nobody → Morten Olav Hansen (mortenoh)
milestone: none → 2.14
assignee: Morten Olav Hansen (mortenoh) → Lars Helge Øverland (larshelge)

Thanks for reporting. Fixed in r 13736 and back-ported to 2.14.

Changed in dhis2:
status: Confirmed → Fix Committed

Downloaded the WAR file and the build is still 13700. Changes not yet reflected. Can you please check.

Thanks

Busoye

On 15 Jan 2014, at 13:29, Lars Helge Øverland <email address hidden> wrote:

> Thanks for reporting. Fixed in r 13736 and back-ported to 2.14.
>
> ** Changed in: dhis2
> Status: New => Confirmed
>
> ** Changed in: dhis2
> Importance: Undecided => High
>
> ** Changed in: dhis2
> Assignee: (unassigned) => Morten Olav Hansen (mortenoh)
>
> ** Changed in: dhis2
> Milestone: None => 2.14
>
> ** Changed in: dhis2
> Assignee: Morten Olav Hansen (mortenoh) => Lars Helge Øverland (larshelge)
>
> ** Changed in: dhis2
> Status: Confirmed => Fix Committed
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1269350
>
> Title:
> cannot run sql view in 2.14
>
> Status in DHIS 2:
> Fix Committed
>
> Bug description:
> sql view is able to execute queries but does not show the sql view
> after the table is created.
>
> I have managed to replicate this on the demo server.
>
> 1) Create query - fine
>
> 2) execute query - fine
>
> 3) show sql view - nothing happens (no error in the log)
>
> No error or exception.
>
> Version:
> 2.14
> Build revision:
> 13700
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/dhis2/+bug/1269350/+subscriptions

Hi, sorry there is something wrong with our copy job, please download
directly from CI server for now, we will fix.

http://apps.dhis2.org/ci/job/dhis-2.14/lastSuccessfulBuild/artifact/dhis-2/dhis-web/dhis-web-portal/target/dhis.war

On Mon, Jan 20, 2014 at 9:20 AM, Adebusoye Anifalaje <email address hidden>wrote:

> Downloaded the WAR file and the build is still 13700. Changes not yet
> reflected. Can you please check.
>
> Thanks
>
> Busoye
>
>
> On 15 Jan 2014, at 13:29, Lars Helge Øverland <email address hidden> wrote:
>
> > Thanks for reporting. Fixed in r 13736 and back-ported to 2.14.
> >
> > ** Changed in: dhis2
> > Status: New => Confirmed
> >
> > ** Changed in: dhis2
> > Importance: Undecided => High
> >
> > ** Changed in: dhis2
> > Assignee: (unassigned) => Morten Olav Hansen (mortenoh)
> >
> > ** Changed in: dhis2
> > Milestone: None => 2.14
> >
> > ** Changed in: dhis2
> > Assignee: Morten Olav Hansen (mortenoh) => Lars Helge Øverland
> (larshelge)
> >
> > ** Changed in: dhis2
> > Status: Confirmed => Fix Committed
> >
> > --
> > You received this bug notification because you are subscribed to the bug
> > report.
> > https://bugs.launchpad.net/bugs/1269350
> >
> > Title:
> > cannot run sql view in 2.14
> >
> > Status in DHIS 2:
> > Fix Committed
> >
> > Bug description:
> > sql view is able to execute queries but does not show the sql view
> > after the table is created.
> >
> > I have managed to replicate this on the demo server.
> >
> > 1) Create query - fine
> >
> > 2) execute query - fine
> >
> > 3) show sql view - nothing happens (no error in the log)
> >
> > No error or exception.
> >
> > Version:
> > 2.14
> > Build revision:
> > 13700
> >
> > To manage notifications about this bug go to:
> > https://bugs.launchpad.net/dhis2/+bug/1269350/+subscriptions
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1269350
>
> Title:
> cannot run sql view in 2.14
>
> Status in DHIS 2:
> Fix Committed
>
> Bug description:
> sql view is able to execute queries but does not show the sql view
> after the table is created.
>
> I have managed to replicate this on the demo server.
>
> 1) Create query - fine
>
> 2) execute query - fine
>
> 3) show sql view - nothing happens (no error in the log)
>
> No error or exception.
>
> Version:
> 2.14
> Build revision:
> 13700
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/dhis2/+bug/1269350/+subscriptions
>

Download full text (3.4 KiB)

Tested just now and it works fine.

Thanks.

Busoye

On 20 Jan 2014, at 11:36, Lars Helge Øverland <email address hidden> wrote:

> Hi, sorry there is something wrong with our copy job, please download
> directly from CI server for now, we will fix.
>
> http://apps.dhis2.org/ci/job/dhis-2.14/lastSuccessfulBuild/artifact/dhis-2
> /dhis-web/dhis-web-portal/target/dhis.war
>
>
> On Mon, Jan 20, 2014 at 9:20 AM, Adebusoye Anifalaje
> <email address hidden>wrote:
>
>> Downloaded the WAR file and the build is still 13700. Changes not yet
>> reflected. Can you please check.
>>
>> Thanks
>>
>> Busoye
>>
>>
>> On 15 Jan 2014, at 13:29, Lars Helge Øverland <email address hidden> wrote:
>>
>>> Thanks for reporting. Fixed in r 13736 and back-ported to 2.14.
>>>
>>> ** Changed in: dhis2
>>> Status: New => Confirmed
>>>
>>> ** Changed in: dhis2
>>> Importance: Undecided => High
>>>
>>> ** Changed in: dhis2
>>> Assignee: (unassigned) => Morten Olav Hansen (mortenoh)
>>>
>>> ** Changed in: dhis2
>>> Milestone: None => 2.14
>>>
>>> ** Changed in: dhis2
>>> Assignee: Morten Olav Hansen (mortenoh) => Lars Helge Øverland
>> (larshelge)
>>>
>>> ** Changed in: dhis2
>>> Status: Confirmed => Fix Committed
>>>
>>> --
>>> You received this bug notification because you are subscribed to the bug
>>> report.
>>> https://bugs.launchpad.net/bugs/1269350
>>>
>>> Title:
>>> cannot run sql view in 2.14
>>>
>>> Status in DHIS 2:
>>> Fix Committed
>>>
>>> Bug description:
>>> sql view is able to execute queries but does not show the sql view
>>> after the table is created.
>>>
>>> I have managed to replicate this on the demo server.
>>>
>>> 1) Create query - fine
>>>
>>> 2) execute query - fine
>>>
>>> 3) show sql view - nothing happens (no error in the log)
>>>
>>> No error or exception.
>>>
>>> Version:
>>> 2.14
>>> Build revision:
>>> 13700
>>>
>>> To manage notifications about this bug go to:
>>> https://bugs.launchpad.net/dhis2/+bug/1269350/+subscriptions
>>
>> --
>> You received this bug notification because you are a bug assignee.
>> https://bugs.launchpad.net/bugs/1269350
>>
>> Title:
>> cannot run sql view in 2.14
>>
>> Status in DHIS 2:
>> Fix Committed
>>
>> Bug description:
>> sql view is able to execute queries but does not show the sql view
>> after the table is created.
>>
>> I have managed to replicate this on the demo server.
>>
>> 1) Create query - fine
>>
>> 2) execute query - fine
>>
>> 3) show sql view - nothing happens (no error in the log)
>>
>> No error or exception.
>>
>> Version:
>> 2.14
>> Build revision:
>> 13700
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/dhis2/+bug/1269350/+subscriptions
>>
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1269350
>
> Title:
> cannot run sql view in 2.14
>
> Status in DHIS 2:
> Fix Committed
>
> Bug description:
> sql view is able to execute queries but does not show the sql view
> after the table is created.
>
> I have managed to replicate this on the demo server.
>
> 1) Create query - fine
>
> 2) execute query - fine
>
> ...

Read more...

Download full text (4.4 KiB)

Thanks.
On Jan 20, 2014 4:51 PM, "Adebusoye Anifalaje" <email address hidden> wrote:

> Tested just now and it works fine.
>
> Thanks.
>
> Busoye
>
>
> On 20 Jan 2014, at 11:36, Lars Helge Øverland <email address hidden> wrote:
>
> > Hi, sorry there is something wrong with our copy job, please download
> > directly from CI server for now, we will fix.
> >
> >
> http://apps.dhis2.org/ci/job/dhis-2.14/lastSuccessfulBuild/artifact/dhis-2
> > /dhis-web/dhis-web-portal/target/dhis.war
> >
> >
> > On Mon, Jan 20, 2014 at 9:20 AM, Adebusoye Anifalaje
> > <email address hidden>wrote:
> >
> >> Downloaded the WAR file and the build is still 13700. Changes not yet
> >> reflected. Can you please check.
> >>
> >> Thanks
> >>
> >> Busoye
> >>
> >>
> >> On 15 Jan 2014, at 13:29, Lars Helge Øverland <email address hidden>
> wrote:
> >>
> >>> Thanks for reporting. Fixed in r 13736 and back-ported to 2.14.
> >>>
> >>> ** Changed in: dhis2
> >>> Status: New => Confirmed
> >>>
> >>> ** Changed in: dhis2
> >>> Importance: Undecided => High
> >>>
> >>> ** Changed in: dhis2
> >>> Assignee: (unassigned) => Morten Olav Hansen (mortenoh)
> >>>
> >>> ** Changed in: dhis2
> >>> Milestone: None => 2.14
> >>>
> >>> ** Changed in: dhis2
> >>> Assignee: Morten Olav Hansen (mortenoh) => Lars Helge Øverland
> >> (larshelge)
> >>>
> >>> ** Changed in: dhis2
> >>> Status: Confirmed => Fix Committed
> >>>
> >>> --
> >>> You received this bug notification because you are subscribed to the
> bug
> >>> report.
> >>> https://bugs.launchpad.net/bugs/1269350
> >>>
> >>> Title:
> >>> cannot run sql view in 2.14
> >>>
> >>> Status in DHIS 2:
> >>> Fix Committed
> >>>
> >>> Bug description:
> >>> sql view is able to execute queries but does not show the sql view
> >>> after the table is created.
> >>>
> >>> I have managed to replicate this on the demo server.
> >>>
> >>> 1) Create query - fine
> >>>
> >>> 2) execute query - fine
> >>>
> >>> 3) show sql view - nothing happens (no error in the log)
> >>>
> >>> No error or exception.
> >>>
> >>> Version:
> >>> 2.14
> >>> Build revision:
> >>> 13700
> >>>
> >>> To manage notifications about this bug go to:
> >>> https://bugs.launchpad.net/dhis2/+bug/1269350/+subscriptions
> >>
> >> --
> >> You received this bug notification because you are a bug assignee.
> >> https://bugs.launchpad.net/bugs/1269350
> >>
> >> Title:
> >> cannot run sql view in 2.14
> >>
> >> Status in DHIS 2:
> >> Fix Committed
> >>
> >> Bug description:
> >> sql view is able to execute queries but does not show the sql view
> >> after the table is created.
> >>
> >> I have managed to replicate this on the demo server.
> >>
> >> 1) Create query - fine
> >>
> >> 2) execute query - fine
> >>
> >> 3) show sql view - nothing happens (no error in the log)
> >>
> >> No error or exception.
> >>
> >> Version:
> >> 2.14
> >> Build revision:
> >> 13700
> >>
> >> To manage notifications about this bug go to:
> >> https://bugs.launchpad.net/dhis2/+bug/1269350/+subscriptions
> >>
> >
> > --
> > You received this bug notification because you are subscribed to the bug
> > report.
> > https://bugs.launchpad.net/bugs/1269350
> >
> > Title:
> > cannot run sql view in 2.14...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers